SaaS CMS has officially launched! Learn more now.

Log4Net version

Vote:
 

In the EPiServer.Framework package (currently 7.7.1) we have a dependency on log4net, specifically version 1.2.10. This log4net version is getting pretty old and quite often I am unable to incorporate other NuGet packages due conflicting log4net versions.

Anyone knows if/when EPiServer will update this dependency?

#86688
May 28, 2014 13:54
Vote:
 

There are a couple of feature request about that and it is getting more and more frustration since other packages are starting to be dependent on higher versions.

http://world.episerver.com/Forum/Developer-forum/Feature-requests/Thread-Container/2014/5/Change-from-log4net-to-Nlog/
http://world.episerver.com/Modules/Forum/Pages/Thread.aspx?id=86127&epslanguage=en

#86690
May 28, 2014 13:58
Vote:
 

Still no improvement in EPiServer.CMS version 7.16.1!

#113197
Nov 14, 2014 14:41
Vote:
 

Shoobah, EPiServer told during the partner forum this week that there is a soon upcoming release where log4net is changed to a generic framework where you can choose by yourself the one you like to use.

So this is not so far away!

#113198
Nov 14, 2014 14:45
Vote:
 
#113202
Edited, Nov 14, 2014 16:35
Vote:
 

Wow that was faster than I thought.

now I am looking forward to implementing this next week!

#113204
Nov 14, 2014 16:50
Vote:
 

Not all packages have made the switch yet, or actually its only CMS.Core but it will roll out over the coming weeks in all packages so have patience with us :)

#113206
Edited, Nov 14, 2014 17:13
* You are NOT allowed to include any hyperlinks in the post because your account hasn't associated to your company. User profile should be updated.